{
  pkgs,
  lib,
  ...
}: {
  # perlless activations
  boot.initrd.systemd.enable = true;
  # system.etc.overlay = {
  #   enable = lib.mkDefault true;
  #   mutable = true;
  # };
  services.userborn.enable = lib.mkDefault true;

  # misc perl
  system.disableInstallerTools = true;
  programs.less.lessopen = null;
  programs.command-not-found.enable = false;
  boot.enableContainers = false;
  boot.loader.grub.enable = false;
  environment.defaultPackages = lib.mkDefault [];
  documentation.info.enable = false;

  # no cppnix
  # system.systemBuilderArgs.disallowedRequisites = [pkgs.nix];
  nix.package = pkgs.lix;
  system.tools.nixos-option.enable = false;
}
